## Salpa：数据模型统一管理平台

Salpa是一个非常易用数据模型设计、模型监控、模型管理的集成平台，Salpa可以对市面上已知的大部分数据库，如mysql、oracle、sqlserver、mariadb、postgresql等进行数据模型设计与管理。
![输入图片说明](diagrams/salpa/%E4%BB%8B%E7%BB%8D%E5%9B%BE%E7%A4%BA.png)

### 我们为什么需要 Salpa

Salpa尽所能为您解决数据模型管理可能遇到的问题：

​    ● 数据业务飞速发展，成百上千规模时候，模型如何管理

​    ● 如何从全局角度来审视整个数据体系全貌

​    ● 数据模型分散在不同引擎中

​    ● 每个引擎数据模型长什么样，业务人员无法实时感知

​    ● 数据项目没有办法有效落标引起数据质量问题

​    ● 数据时效性问题

### Salpa 使用场景

​    ● 数据模型设计

​    ● 可视化模型管理

​    ● 实时数据模型监控

​    ● 整合不同引擎数据模型

​    ● 编写SQL在线查询各类库

​    ● 数据模型变化告警

### Salpa 的特性

​    ● 前后端分离技术

​    ● 简单易用，灵活配置，无需开发

​    ● 支持加载动态权限菜单

​    ● 多方式轻松权限控制

​    ● 支持多种数据库扩展

​    ● 模块化，易于扩展

### Salpa 的架构图示

简单来说，前端UI采用react,typescript,以及antd对页面进行渲染展示，通过Ajax的get和post请求进入后端控制层，调用api接口获取相关数据。请求进入后端后根据不同模块进行业务处理，并通过持久层对数据库进行调用及进行相关数据处理，salpa的架构如下图所示。

<img src="diagrams/salpa/%E6%9E%B6%E6%9E%84%E5%9B%BE.png" width="70%" height="70%" />

### Salpa 的功能说明

系统主要模块包含模型管理、模型监控、在线查询以及系统管理：

    1. 模型管理主要应用于项目初期，数据模型设计阶段。支持对项目人员管理，数据模型设计以及设计完成后导入数据库。

    2. 模型监控，包含主题管理、数据库扩展和告警管理三部分，支持对数据模型进行监控，及时发现模型问题及变化。

    3. 在线查询，数据在线查询功能，支持各种数据源。

    4. 系统管理，包含用户管理、角色管理、菜单管理、部门管理、岗位管理、字典管理六个模块。

![输入图片说明](diagrams/salpa/%E5%8A%9F%E8%83%BD%E5%9B%BE%E7%A4%BA.png)

### salpa 效果图

<img src="diagrams/salpa/%E6%95%88%E6%9E%9C%E5%9B%BE/%E6%95%88%E6%9E%9C%E5%9B%BE1.png" width="30%" height="30%" /> <img src="diagrams/salpa/%E6%95%88%E6%9E%9C%E5%9B%BE/%E6%95%88%E6%9E%9C%E5%9B%BE2.png" width="30%" height="30%" /> <img src="diagrams/salpa/%E6%95%88%E6%9E%9C%E5%9B%BE/%E6%95%88%E6%9E%9C%E5%9B%BE3.png" width="30%" height="30%" /> <img src="diagrams/salpa/%E6%95%88%E6%9E%9C%E5%9B%BE/%E6%95%88%E6%9E%9C%E5%9B%BE4.png" width="30%" height="30%" /> <img src="diagrams/salpa/%E6%95%88%E6%9E%9C%E5%9B%BE/%E6%95%88%E6%9E%9C%E5%9B%BE5.png" width="30%" height="30%" />

### 环境依赖

1.JDK >= 11 (推荐11.0.14版本)

2.Mysql >= 5.7.0 (推荐5.7.22版本)

3.Redis >= 3.0 (推荐4.0.8版本)

4.nginx (推荐nginx/1.99版本)

### 快速入门

关于Salpa[需求文档](/docs/01-Salpa需求规格说明书.doc)

关于Salpa[设计文档](/docs/02-详细设计说明书.doc)

关于Salpa[使用手册](/docs/salpa使用手册.docx)

### 欢迎联系

微信：

<img src="diagrams/salpa/%E4%BA%8C%E7%BB%B4%E7%A0%81.jpg" width="10%" height="10%" />



